unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    OpenDialog1: TOpenDialog;
    EditIcone: TEdit;
    Label1: TLabel;
    EditCommentaire: TEdit;
    Label2: TLabel;
    EditDossier: TEdit;
    Label3: TLabel;
    ButtonParcourirDossier: TButton;
    ButtonParcourirIcone: TButton;
    procedure Button1Click(Sender: TObject);
    procedure ButtonParcourirDossierClick(Sender: TObject);
    procedure ButtonParcourirIconeClick(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}
uses inifiles;

procedure AffecteIconADossier (FichierIcone, Description, Dossier : string);
{-------------------------------------------------------------------}
{permet de modifier l'icone et la description d'un dossier          }
{ Dossier est le chemin du dossier.                                 }
{Fichier icone est le fichier de l'icone  afficher                 }
{Description est le commentaire qui s'affiche dans le "hint" affich}
{lorsque la souris passe sur le dossier                             }
{ Principe : cela place dans le dossier un fichier desktop.ini      }
{qui contient les renseignements ncessaire  windows               }
{et affecte FILE_ATTRIBUTE_SYSTEM comme attribut au dossier         }       
{-------------------------------------------------------------------}
begin
  with TINIFile.Create(Dossier + '\desktop.ini') do
  try
    WriteString('.ShellClassInfo', 'IconFile', FichierIcone);
    WriteString('.ShellClassInfo', 'IconIndex', '0'); //icon index
    WriteString('.ShellClassInfo', 'InfoTip', Description);
    UpdateFile;
  finally
    Free
  end;
  SetFileAttributes(PChar(Dossier), FILE_ATTRIBUTE_SYSTEM);// affectation d'un attribut systme au dossier
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  AffecteIconADossier(EditIcone.Text,EditCommentaire.Text,EditDossier.Text);
end;

procedure TForm1.ButtonParcourirDossierClick(Sender: TObject);
begin
  if OpenDialog1.Execute then EditDossier.Text:=ExtractFilePath(OpenDialog1.FileName);
end;

procedure TForm1.ButtonParcourirIconeClick(Sender: TObject);
begin
  if OpenDialog1.Execute then EditIcone.Text:=OpenDialog1.FileName;
end;

end.
